﻿namespace IRaCIS.Core.Domain.Share
{
    /// <summary>
    /// 用户信息接口
    /// </summary>
    public interface IUserInfo
    {

        Guid UserRoleId { get; }

        Guid IdentityUserId { get; }

        string UserName { get; }

        string FullName { get; }

        bool IsAdmin { get; }

        bool IsTestUser { get; }
        public bool IsZhiZhun { get; }

        string UserTypeShortName { get; }

        string UserTypeEnumStr { get; }

        int UserTypeEnumInt { get; }

        Guid UserTypeId { get; }

        string UserToken { get; }

        string PermissionStr { get; }

        string IP { get; }

        string LocalIp { get; }

        bool IsEn_Us { get; }

        string RequestUrl { get; }

        Guid? SignId { get; set; }

        Guid? BatchId { get; set; }

        /// <summary>
        /// 稽查额外字符串
        /// </summary>
        string AuditIdentification { get; set; }

        bool IsNotNeedInspection { get; set; }


        /// <summary>
        /// 字符串形式  标识时区
        /// </summary>
        string TimeZoneId { get; }
    }
}
