﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class SystemDocumentAttachment : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "CurrentStaffTrainDays",
                table: "SystemDocument",
                type: "int",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "NewStaffTrainDays",
                table: "SystemDocument",
                type: "int",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "SysTemplateTypeEnum",
                table: "SysFileType",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CurrentStaffTrainDays",
                table: "SystemDocument");

            migrationBuilder.DropColumn(
                name: "NewStaffTrainDays",
                table: "SystemDocument");

            migrationBuilder.DropColumn(
                name: "SysTemplateTypeEnum",
                table: "SysFileType");
        }
    }
}
