﻿using IRaCIS.Core.Domain.BaseModel;
using IRaCIS.Core.Domain.Share;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Domain._DomainEvent
{

    /// <summary>
    ///  SPM审批通过，通知PM；  Enroll表
    /// </summary>
    public class ReviewerSPMApprovedEvent : DomainEvent
    {
        public List<Guid> EnrollIdList { get; set; }

        /// <summary>
        ///  有SPM 会从  EnrollStatus.HasCommittedToCRO ->   InviteIntoGroup
        /// </summary>
        //public EnrollStatus EnrollStatus { get; set; }
    }

    /// <summary>
    /// PM 申请审批  Enroll表
    /// </summary>
    public class ReviewerPMApplyEvent : DomainEvent
    {
        public List<Guid> EnrollIdList { get; set; }
    }
}
