﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class backAddFiled : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateTime>(
                name: "EarliestScanDate",
                table: "SubjectVisitImageBackRecord",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "LatestScanDate",
                table: "SubjectVisitImageBackRecord",
                type: "datetime2",
                nullable: true,
                comment: "最晚拍片日期");

            migrationBuilder.AddColumn<DateTime>(
                name: "SubmitTime",
                table: "SubjectVisitImageBackRecord",
                type: "datetime2",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "EarliestScanDate",
                table: "SubjectVisitImageBackRecord");

            migrationBuilder.DropColumn(
                name: "LatestScanDate",
                table: "SubjectVisitImageBackRecord");

            migrationBuilder.DropColumn(
                name: "SubmitTime",
                table: "SubjectVisitImageBackRecord");
        }
    }
}
